Bug 140953 - Suspend to disk not working with ACPI enabled
Suspend to disk not working with ACPI enabled
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-26 17:15 EST by Craig Williamson
Modified: 2015-01-04 17:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:41:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig Williamson 2004-11-26 17:15:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Hardware: Toshiba Satellite A30 Laptop
Software: Fedora Core 3 with latest updates
With kernel enabled with ACPI:
Grub config:
"kernel /boot/vmlinuz-2.6.9-1.681_FC3 ro root=LABEL=/ acpi=on rhgb quiet"

Good: Good reliable power management when running.
Bad: Suspend to disk doesn't work when shutting lid on laptop.
Ugly: Suspend to RAM works but will not resume properly (screen is
blank) after pressing power button.

Note:  When using the 'echo 4 > /proc/acpi/sleep' or 'echo 4 >
/sys/power/state' commands (to get the laptop to suspend to disk) no
response is heard or seen.  According to the boot up configurations
the acpid daemon is running but that is all I know.

Version-Release number of selected component (if applicable):
acpid-1.0.3-2

How reproducible:
Always

Steps to Reproduce:
1.  Shut laptop lid.
2.  Wait
3.  Laptop does not turn off.
    

Actual Results:  The laptop did not suspend to disk.

Expected Results:  The laptop should suspend to disk

Additional info:
Comment 1 Alex Butcher 2004-11-28 19:51:16 EST
This is quite common. If you care enough, you'll probably want to
patch the kernel to get the standard 2.6 software suspend feature
working again, or use <http://softwaresuspend.berlios.de/>. Either
way, it 'ain't gonna be easy. Oh, and even if you manage to get
suspend working, you may find that some of the hardware doesn't like
resuming - especially things like video and networking.
Comment 2 petrosyan 2005-01-05 00:44:06 EST
to fix suspend to RAM try passing "acpi_sleep=s3_bios" to kernel bootline
Comment 3 Dave Jones 2005-07-15 16:00:19 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 20:41:58 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.